public class MemoPadApp
{
    public static void main( String[] args )
    {
        MemoDatabase database = null;

        if ( args.length == 0 )
            database = new ArrayBasedMemoDatabase();
        else if ( args.length == 1 )
            database = new ArrayBasedMemoDatabase( Integer.parseInt(args[0]) );

        if ( database == null )
        {
            displayUsage();
            return;
        }

        MemoPad p = new MemoPad( database );
        p.show();
    }

    private static void displayUsage()
    {
        System.out.println( "Usage: java MemoPadApp" );
        System.out.println( "       java MemoPadApp [size]" );
    }
}
